/*
 * Copyright (c) 2009 GSyC/LibreSoft 
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *    	 
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License. 
 *
 *  Author : Roberto Calvo Palomino <rocapal@gsyc.es>
 *  
 */


package com.LibreGeoSocial.Api;

public class GeoNode {

	private Integer mId;
	private Double  mLatitude;
	private Double  mLongitude;
	private Double  mRadius;
	
	
	public GeoNode(Integer id, Double latitude, Double longitude, Double radius)
	{
		
		super();
		mId = id;
		mLatitude = latitude;
		mLongitude = longitude;
		mRadius = radius;	
		
	}
	
	public Integer getId() {
		return mId;
	}
	
	public Double getLatitude() {
		return mLatitude;
	}
	public Double getLongitude() {
		return mLongitude;
	}
	
	public Double getRadius() {
		return mRadius;
	}
	
	public void setLatitude(Double latitude){
		mLatitude = latitude;
	}
	
	public void setLongitude(Double longitude){
		mLongitude = longitude;
	}
}
