/*
 *
 *  Copyright (C) 2009 GSyC/LibreSoft
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/. 
 *
 *  Author : Roberto Calvo Palomino <rocapal@gsyc.es>
 *
 */

package com.LibreGeoSocial.Api;

public class GeoNode {

	private Integer mId;
	private Double  mLatitude;
	private Double  mLongitude;
	private Double  mRadius;
	
	
	public GeoNode(Integer id, Double latitude, Double longitude, Double radius)
	{
		
		super();
		mId = id;
		mLatitude = latitude;
		mLongitude = longitude;
		mRadius = radius;	
		
	}
	
	public Integer getId() {
		return mId;
	}
	
	public Double getLatitude() {
		return mLatitude;
	}
	public Double getLongitude() {
		return mLongitude;
	}
	
	public Double getRadius() {
		return mRadius;
	}
}
