/*
 * Copyright (c) 2009 GSyC/LibreSoft 
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *    	 
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License. 
 *
 *  Author : Roberto Calvo Palomino <rocapal@gsyc.es>
 *  
 *  
 */

package com.LibreGeoSocialApp;

import android.app.TabActivity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.TabHost;

public class ResourceTab extends TabActivity {

	@Override
    protected void onCreate(Bundle savedInstanceState) {
     
		super.onCreate(savedInstanceState);
		
		final TabHost tabHost = getTabHost();
		
		tabHost.addTab(tabHost.newTabSpec("Places")
                .setIndicator("places")             
                .setContent(new Intent(this, PlacesList.class)));
		
		tabHost.addTab(tabHost.newTabSpec("Photos")				
                .setIndicator("photos", this.getResources().getDrawable(R.drawable.camera_38))
                .setContent(new Intent(this, PhotoList.class)));
		
		//tabHost.addTab(tabHost.newTabSpec("Videos")
        //        .setIndicator("videos")
        //        .setContent(new Intent(this, PhotoList.class)));
	
	}
}
