/*
 *
 *  Copyright (C) 2009 GSyC/LibreSoft
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/. 
 *
 *  Author : Roberto Calvo Palomino <rocapal@gsyc.es>
 *
 */

package com.LibreGeoSocial.Api;


public class Note extends GeoNode {

	private String mTitle;
	private String mBody;
	private String mSince;
	
	public Note (Integer id, String title, String body, Double latitude, Double longitude, String since)
	{
		super (id, latitude,longitude,0.0);
		
	
		mTitle = title;
		mBody  = body;
		mSince = since;
	
	}
	
	
	public String getTitle()
	{
		return mTitle;
	}
	
	public String getBody()
	{
		return mBody;
	}
	
	public String getSince()
	{
		return mSince;
	}
	
}
