/*
 *
 *  Copyright (C) 2009 GSyC/LibreSoft
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/. 
 *
 *  Author : Jorge Fernandez Gonzalez <jorge.fernandez.gonzalez@gmail.com>
 *
 */

package com.LibreGeoSocialApp.Gymkhana;

/**
 * Representa al organizador de una determinada gymkhana.
 * 
 * @author Jorge Fernandez Gonzalez <jorge.fernandez.gonzalez@gmail.com>
 *
 */
public class Manager{
	
	/* Identificador del manager. */
	private int identifier;
	/* Nombre del manager (debería ser nick si pertenece a la red LibreGeoSocial). */
	private String name;
	
	public Manager(int identifier, String name) {
		super();
		this.identifier = identifier;
		this.name = name;
	}

	public int getIdentifier() {
		return identifier;
	}
	public String getName() {
		return name;
	}
	
}